### Hierarchy

- Submit

### Implements

- IRenderable

## Index

### Constructors

- constructor

### Properties

- spec
- TYPE

### Methods

- handleOverlay
- render

## Constructors

### constructor

- new Submit(spec: ISpecification): Submit

- - Defined in lib/renderable/submit/index.ts:24

  #### Parameters

  - ##### spec: ISpecification

  #### Returns Submit

## Properties

### Private spec

spec: ISpecification

- Defined in lib/renderable/submit/index.ts:24

### Static TYPE

TYPE: "submit" = "submit"

- Defined in lib/renderable/submit/index.ts:22

## Methods

### handleOverlay

- handleOverlay(container: HTMLElement, overlay: HTMLElement): void

- - Defined in lib/renderable/submit/index.ts:88

  #### Parameters

  - ##### container: HTMLElement

  - ##### overlay: HTMLElement

  #### Returns void

### render

- render(renderer: IRenderer, isNested: boolean): HTMLElement

- Implementation of IRenderable.render

  - Defined in lib/renderable/submit/index.ts:33

  #### Parameters

  - ##### renderer: IRenderer

  - ##### isNested: boolean

  #### Returns HTMLElement

  the element which was rendered

Generated using TypeDoc